/*eslint-disable block-scoped-var, id-length, no-control-regex, no-magic-numbers, no-prototype-builtins, no-redeclare, no-shadow, no-var, sort-vars*/
"use strict";

var $protobuf = require("protobufjs/minimal");

// Common aliases
var $Reader = $protobuf.Reader, $Writer = $protobuf.Writer, $util = $protobuf.util;

// Exported root namespace
var $root = $protobuf.roots["default"] || ($protobuf.roots["default"] = {});

/**
 * ErrCode enum.
 * @exports ErrCode
 * @enum {number}
 * @property {number} OK=0 OK value
 * @property {number} SystemErr=1 SystemErr value
 * @property {number} ParamErr=2 ParamErr value
 * @property {number} LoginDiffLoc=100 LoginDiffLoc value
 * @property {number} LoginUserOrPwdErr=102 LoginUserOrPwdErr value
 * @property {number} AccountFrozen=103 AccountFrozen value
 * @property {number} AccountBanned=104 AccountBanned value
 * @property {number} RegisterUserExist=110 RegisterUserExist value
 * @property {number} VersionTooLow=115 VersionTooLow value
 * @property {number} Maintain=120 Maintain value
 * @property {number} GoldNotEnough=125 GoldNotEnough value
 * @property {number} NotBetCount=126 NotBetCount value
 * @property {number} NotLeaveRoom=127 NotLeaveRoom value
 * @property {number} TotalBetExceedsLimit=500 TotalBetExceedsLimit value
 * @property {number} AreaBetExceedsLimit=505 AreaBetExceedsLimit value
 */
$root.ErrCode = (function() {
    var valuesById = {}, values = Object.create(valuesById);
    values[valuesById[0] = "OK"] = 0;
    values[valuesById[1] = "SystemErr"] = 1;
    values[valuesById[2] = "ParamErr"] = 2;
    values[valuesById[100] = "LoginDiffLoc"] = 100;
    values[valuesById[102] = "LoginUserOrPwdErr"] = 102;
    values[valuesById[103] = "AccountFrozen"] = 103;
    values[valuesById[104] = "AccountBanned"] = 104;
    values[valuesById[110] = "RegisterUserExist"] = 110;
    values[valuesById[115] = "VersionTooLow"] = 115;
    values[valuesById[120] = "Maintain"] = 120;
    values[valuesById[125] = "GoldNotEnough"] = 125;
    values[valuesById[126] = "NotBetCount"] = 126;
    values[valuesById[127] = "NotLeaveRoom"] = 127;
    values[valuesById[500] = "TotalBetExceedsLimit"] = 500;
    values[valuesById[505] = "AreaBetExceedsLimit"] = 505;
    return values;
})();

module.exports = $root;
