/*eslint-disable block-scoped-var, id-length, no-control-regex, no-magic-numbers, no-prototype-builtins, no-redeclare, no-shadow, no-var, sort-vars*/
"use strict";

var $protobuf = require("protobufjs/minimal");

// Common aliases
var $Reader = $protobuf.Reader, $Writer = $protobuf.Writer, $util = $protobuf.util;

// Exported root namespace
var $root = $protobuf.roots["default"] || ($protobuf.roots["default"] = {});

/**
 * MsgId enum.
 * @exports MsgId
 * @enum {number}
 * @property {number} MI_Unknown=0 MI_Unknown value
 * @property {number} NtfMaintainId=1000 NtfMaintainId value
 * @property {number} NtfKickOutUserId=1001 NtfKickOutUserId value
 * @property {number} ReqEnterRoomId=1002 ReqEnterRoomId value
 * @property {number} RspEnterRoomId=1003 RspEnterRoomId value
 * @property {number} ReqLeaveRoomId=1004 ReqLeaveRoomId value
 * @property {number} RspLeaveRoomId=1005 RspLeaveRoomId value
 * @property {number} NtfPayoutFailId=1010 NtfPayoutFailId value
 * @property {number} ReqChatId=2000 ReqChatId value
 * @property {number} RspChatId=2001 RspChatId value
 * @property {number} ReqUserLoginId=2100 ReqUserLoginId value
 * @property {number} RspUserLoginId=2101 RspUserLoginId value
 * @property {number} NtfUserOnlineId=2102 NtfUserOnlineId value
 * @property {number} NtfUserInServiceId=2103 NtfUserInServiceId value
 * @property {number} ReqUserLogoutId=2104 ReqUserLogoutId value
 * @property {number} RspUserLogoutId=2105 RspUserLogoutId value
 * @property {number} NtfUserOfflineId=2106 NtfUserOfflineId value
 * @property {number} ReqMatchRoomId=2200 ReqMatchRoomId value
 * @property {number} RspMatchRoomId=2201 RspMatchRoomId value
 * @property {number} NtfUserEnterRoomId=2202 NtfUserEnterRoomId value
 * @property {number} NtfColorRoomInfoId=2300 NtfColorRoomInfoId value
 * @property {number} NtfColorGameStartId=2305 NtfColorGameStartId value
 * @property {number} NtfColorBettingId=2310 NtfColorBettingId value
 * @property {number} ReqColorBettingId=2315 ReqColorBettingId value
 * @property {number} RspColorBettingId=2320 RspColorBettingId value
 * @property {number} NtfColorBetAreaInfoId=2325 NtfColorBetAreaInfoId value
 * @property {number} NtfColorEndBettingId=2330 NtfColorEndBettingId value
 * @property {number} NtfColorOpenThreeDiceId=2335 NtfColorOpenThreeDiceId value
 * @property {number} NtfColorSettleId=2340 NtfColorSettleId value
 * @property {number} NtfColorBigUserId=2345 NtfColorBigUserId value
 * @property {number} NtfColorTrendId=2350 NtfColorTrendId value
 */
$root.MsgId = (function() {
    var valuesById = {}, values = Object.create(valuesById);
    values[valuesById[0] = "MI_Unknown"] = 0;
    values[valuesById[1000] = "NtfMaintainId"] = 1000;
    values[valuesById[1001] = "NtfKickOutUserId"] = 1001;
    values[valuesById[1002] = "ReqEnterRoomId"] = 1002;
    values[valuesById[1003] = "RspEnterRoomId"] = 1003;
    values[valuesById[1004] = "ReqLeaveRoomId"] = 1004;
    values[valuesById[1005] = "RspLeaveRoomId"] = 1005;
    values[valuesById[1010] = "NtfPayoutFailId"] = 1010;
    values[valuesById[2000] = "ReqChatId"] = 2000;
    values[valuesById[2001] = "RspChatId"] = 2001;
    values[valuesById[2100] = "ReqUserLoginId"] = 2100;
    values[valuesById[2101] = "RspUserLoginId"] = 2101;
    values[valuesById[2102] = "NtfUserOnlineId"] = 2102;
    values[valuesById[2103] = "NtfUserInServiceId"] = 2103;
    values[valuesById[2104] = "ReqUserLogoutId"] = 2104;
    values[valuesById[2105] = "RspUserLogoutId"] = 2105;
    values[valuesById[2106] = "NtfUserOfflineId"] = 2106;
    values[valuesById[2200] = "ReqMatchRoomId"] = 2200;
    values[valuesById[2201] = "RspMatchRoomId"] = 2201;
    values[valuesById[2202] = "NtfUserEnterRoomId"] = 2202;
    values[valuesById[2300] = "NtfColorRoomInfoId"] = 2300;
    values[valuesById[2305] = "NtfColorGameStartId"] = 2305;
    values[valuesById[2310] = "NtfColorBettingId"] = 2310;
    values[valuesById[2315] = "ReqColorBettingId"] = 2315;
    values[valuesById[2320] = "RspColorBettingId"] = 2320;
    values[valuesById[2325] = "NtfColorBetAreaInfoId"] = 2325;
    values[valuesById[2330] = "NtfColorEndBettingId"] = 2330;
    values[valuesById[2335] = "NtfColorOpenThreeDiceId"] = 2335;
    values[valuesById[2340] = "NtfColorSettleId"] = 2340;
    values[valuesById[2345] = "NtfColorBigUserId"] = 2345;
    values[valuesById[2350] = "NtfColorTrendId"] = 2350;
    return values;
})();

module.exports = $root;
